## sphinx-celery 1.3.1

=== Makefile ===
PROJ=sphinx_celery
PGPIDENT="Celery Security Team"
PYTHON=python
GIT=git
TOX=tox
NOSETESTS=nosetests
ICONV=iconv
FLAKE8=flake8
FLAKEPLUS=flakeplus
SPHINX2RST=sphinx2rst

SPHINX_DIR=docs/
SPHINX_BUILDDIR="${SPHINX_DIR}/_build"
README=README.rst
README_SRC="docs/templates/readme.txt"
CONTRIBUTING=CONTRIBUTING.rst
CONTRIBUTING_SRC="docs/contributing.rst"
SPHINX_HTMLDIR="${SPHINX_BUILDDIR}/html"
DOCUMENTATION=Documentation
FLAKEPLUSTARGET=2.7

all: help

help:
	@echo "docs                 - Build documentation."
	@echo "test-all             - Run tests for all supported python versions."
	@echo "distcheck ---------- - Check distribution for problems."
	@echo "  test               - Run unittests using current python."
	@echo "  lint ------------  - Check codebase for problems."
	@echo "    apicheck         - Check API reference coverage."
	@echo "    configcheck      - Check configuration reference coverage."
	@echo "    readmecheck      - Check README.rst encoding."
	@echo "    contribcheck     - Check CONTRIBUTING.rst encoding"
	@echo "    flakes --------  - Check code for syntax and style errors."
	@echo "      flakecheck     - Run flake8 on the source code."
	@echo "      flakepluscheck - Run flakeplus on the source code."
	@echo "readme               - Regenerate README.rst file."
	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
	@echo "clean-dist --------- - Clean all distribution build artifacts."
	@echo "  clean-git-force    - Remove all uncomitted files."
	@echo "  clean ------------ - Non-destructive clean"
	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
	@echo "    clean-docs       - Remove documentation build artifacts."
	@echo "    clean-build      - Remove setup artifacts."
	@echo "bump                 - Bump patch version number."
	@echo "bump-minor           - Bump minor version number."
	@echo "bump-major           - Bump major version number."
	@echo "release              - Make PyPI release."

clean: clean-docs clean-pyc clean-build

clean-dist: clean clean-git-force

bump:
	bumpversion patch

bump-minor:
	bumpversion minor

bump-major:
	bumpversion major

release:
	python setup.py register sdist bdist_wheel upload --sign --identity="$(PGPIDENT)"

Documentation:
	(cd "$(SPHINX_DIR)"; $(MAKE) html)
	mv "$(SPHINX_HTMLDIR)" $(DOCUMENTATION)

docs: Documentation

clean-docs:
	-rm -rf "$(SPHINX_BUILDDIR)"

lint: flakecheck apicheck configcheck readmecheck

apicheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) apicheck)

configcheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) configcheck)

flakecheck:
	$(FLAKE8) --ignore=X999 "$(PROJ)"

flakediag:
	-$(MAKE) flakecheck

flakepluscheck:
	$(FLAKEPLUS) --$(FLAKEPLUSTARGET) "$(PROJ)"

flakeplusdiag:
	-$(MAKE) flakepluscheck

flakes: flakediag flakeplusdiag

clean-readme:
	-rm -f $(README)

readmecheck:
	$(ICONV) -f ascii -t ascii $(README) >/dev/null

$(README):
	$(SPHINX2RST) "$(README_SRC)" --ascii > $@

readme: clean-readme $(README) readmecheck

clean-contrib:
	-rm -f "$(CONTRIBUTING)"

$(CONTRIBUTING):
	$(SPHINX2RST) "$(CONTRIBUTING_SRC)" > $@

contrib: clean-contrib $(CONTRIBUTING)

clean-pyc:
	-find . -type f -a \( -name "*.pyc" -o -name "*$$py.class" \) | xargs rm
	-find . -type d -name "__pycache__" | xargs rm -r

removepyc: clean-pyc

clean-build:
	rm -rf build/ dist/ .eggs/ *.egg-info/ .tox/ .coverage cover/

clean-git:
	$(GIT) clean -xdn

clean-git-force:
	$(GIT) clean -xdf

test-all: clean-pyc
	$(TOX)

test:
	$(PYTHON) setup.py test

cov:
	$(NOSETESTS) -xv --with-coverage --cover-html --cover-branch

build:
	$(PYTHON) setup.py sdist bdist_wheel

distcheck: lint test clean

dist: readme contrib clean-dist build

=== debian/changelog ===
sphinx-celery (1.3.1-2) unstable; urgency=medium

  * Fix "Please backport upstream change to fix compatibility with
    Sphinx 1.6". Upstream commit cherry-picked (Closes: #872280)
  * Update Standards-Version from 3.9.8 to 4.0.0 (no change required)

 -- Christopher Hoskin <mans0954@debian.org>  Fri, 18 Aug 2017 06:24:19 +0100

sphinx-celery (1.3.1-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5. Closes: #854947

 -- Christopher Hoskin <mans0954@debian.org>  Sat, 11 Feb 2017 21:37:07 +0000

=== debian/control ===
Source: sphinx-celery
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christopher Hoskin <mans0954@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9),
 python3-sphinx (>= 1.4), python3-nose
Standards-Version: 4.0.0
Homepage: http://github.com/celery/sphinx_celery
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx-celery.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/sphinx-celery.git

Package: python3-sphinx-celery
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Sphinx Celery theme
 This package provides the Celery sphinx theme and common Sphinx utilities,
 including:
 .
  * Autodoc coverage checker builder extension - makes sure all modules in the
    documented package are represented in the autodoc API reference
  * Configuration Reference Checker builder extension - makes sure all settings
    in the documented package are represented in the configuration reference

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Sat, 11 Feb 2017 21:37:07 +0000
export PYBUILD_NAME=sphinx-celery
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import sphinx_celery; print(sphinx_celery)" ; done
Depends: python3-all, python3-sphinx-celery

=== debian/watch ===
# please also check http://pypi.debian.net/sphinx_celery/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/sphinx_celery/sphinx_celery-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinx-celery 2.0.0

=== debian/changelog ===
sphinx-celery (2.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Chris Lamb ]
  * Use HTTPS in the Homepage field.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Mattia Rizzolo ]
  * Update d/watch so that it can match again.
  * New upstream version 2.0.0.
    + Fix support for Sphinx 2.0.0+.  Closes: #958983
  * Drop patches applied upstream.
  * d/rules:
    + Disable the testsuite, it has never run and started to fail only now.
  * d/control:
    + Bump dependency on sphinx to >=2.0.0
    + Bump Standards-Version to 4.5.0:
      - Set Rules-Requires-Root: no.
    + Bump debhelper compat level to 13.
  * Mark the autopktest as superficial, since it's not really testing anything.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 21:07:15 +0200

=== debian/control ===
Source: sphinx-celery
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Christopher Hoskin <mans0954@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-nose,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/celery/sphinx_celery
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-celery.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-celery

Package: python3-sphinx-celery
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Sphinx Celery theme
 This package provides the Celery sphinx theme and common Sphinx utilities,
 including:
 .
  * Autodoc coverage checker builder extension - makes sure all modules in the
    documented package are represented in the autodoc API reference
  * Configuration Reference Checker builder extension - makes sure all settings
    in the documented package are represented in the configuration reference

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sphinx-celery

# tests fail with
#   AttributeError: module 'sphinx_celery' has no attribute 'add_html_theme'
# somebody should probably debug it…  Before version 2.0.0 tests weren't run.
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

## sphinx-celery 2.1.3

=== debian/changelog ===
sphinx-celery (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3
  * Replace nose by pytest (Closes: #1018641)
  * Remove patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Thu, 16 May 2024 06:44:17 +0200

sphinx-celery (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add add_placeholder_to_each_extlinks_caption.patch to fix issues with
    FTBFS with Sphinx 7.1, docutils 0.20 of reverse depends (Closes: #1042597).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Nov 2023 09:57:41 +0100

sphinx-celery (2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 20:49:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: sphinx-celery
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Christopher Hoskin <mans0954@debian.org>,
 Section: python
@@ -8,14 +8,14 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
- python3-nose,
+ python3-pytest,
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/celery/sphinx_celery
-Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-celery.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-celery
+Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-celery.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-celery
 
 Package: python3-sphinx-celery
 Architecture: all

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import sphinx_celery; print(sphinx_celery)" ; done
Depends:
 python3-all,
 python3-sphinx-celery,
Restrictions: superficial

=== debian/watch ===
# please also check https://pypi.debian.net/sphinx_celery/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpmode=auto \
https://pypi.debian.net/sphinx-celery/sphinx_celery-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
